Subject: Re: bug#78823: [BUG] 31.0.50; org-babel-execute-src-block: Wrong type argument: integer-or-marker-p, nil

From: Eli Zaretskii <[email-masked]>
Date: Sun, 13 Jul 2025 07:47:40 +0300

> From: Ihor Radchenko <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked]
> Date: Sat, 12 Jul 2025 17:47:12 +0000
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> >> We had a similar discussion in the past about making report-org-bug an
> >> >> alias to org-submit-bug-report, and did not do it because it is awkward
> >> >> when only Org mode is doing it, but not other packages.
> >> >> See https://list.orgmode.org/orgmode/[email-masked]/
> >> >
> >> > That part is up to you.
> >> 
> >> Sure, but if you think that such an alias would be helpful, it would be
> >> better to do it for all externally maintained packages, not just Emacs.
> >> Should I start a new thread and include TRAMP/CC mode/etc maintainers?
> >
> > Yes, please.
> 
> I am looking into this again, and I stumbled upon `package-report-bug'.
> I am wondering if it can be used as a centralized command to submit bug
> reports + provide an API for package to plug into.
> This kind of idea sounds better than creating aliases outside the
> package namespace.

I don't mind, but let's hear from the other interested parties.